# Class: arcs

## LocusZoom_DataLayers~arcs()

Arc Data Layer Implements a data layer that will render chromatin accessibility tracks. This layer draws arcs (one per datapoint) that connect two endpoints (x.field1 and x.field2) by means of an arc, with a height determined by y.field.

## Constructor

#### new arcs()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.color` | String | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | 'seagreen' | Specify how to choose the stroke color for each arc
`layout.hitarea_width` | number | <optional> | '10px' | The width (in pixels) of hitareas. Arcs are only as wide as the stroke, so a hit area of 5px on each side can make it much easier to select an item for a tooltip.
`layout.style.fill` | string | <optional> | 'none' | The fill color under the area of the arc
`layout.style.stroke-width` | string | <optional> | '1px' |
`layout.style.stroke_opacity` | string | <optional> | '100%' |
`layout.tooltip_positioning` | 'horizontal' | 'vertical' | 'top' | 'bottom' | 'left' | 'right' | <optional> | 'top' | Where to draw the tooltip relative to the datum.
`layout.x_axis.field1` | string | <optional> |  | The field to use for one end of the arc; creates a point at (x1, 0)
`layout.x_axis.field2` | string | <optional> |  | The field to use for the other end of the arc; creates a point at (x2, 0)
`layout.y_axis.field` | string | <optional> |  | The height at the midpoint of the arc, (xmid, y)

Source:
  - components/data_layer/arcs.js, line 29
See:
  - module:LocusZoom_DataLayers~BaseDataLayer for additional layout options

### Members

#### (static, constant) default_layout

Source:
  - components/data_layer/arcs.js, line 10